diff --git a/.travis.yml b/.travis.yml
index dda19ac0..0d18ee77 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -6,7 +6,7 @@ before_install:
- echo "https://$GH_TOKEN:@github.com" > .git/credentials
install:
- mvn --settings .settings.xml install -P docs -q -U -DskipTests=true -Dmaven.test.redirectTestOutputToFile=true
-- ./src/main/asciidoc/ghpages.sh
+- ./docs/src/main/asciidoc/ghpages.sh
script: mvn --settings .settings.xml deploy -nsu -Dmaven.test.redirectTestOutputToFile=true
env:
global:
diff --git a/docs/README.adoc b/docs/README.adoc
new file mode 100644
index 00000000..b0267db4
--- /dev/null
+++ b/docs/README.adoc
@@ -0,0 +1,22 @@
+// Do not edit this file (e.g. go instead to src/main/asciidoc)
+
+
+This project provides Netflix OSS integrations for Spring Boot apps through autoconfiguration
+and binding to the Spring Environment and other Spring programming model idioms. With a few
+simple annotations you can quickly enable and configure the common patterns inside your
+application and build large distributed systems with battle-tested Netflix components. The
+patterns provided include Service Discovery (Eureka), Circuit Breaker (Hystrix),
+Intelligent Routing (Zuul) and Client Side Load Balancing (Ribbon).
+
+
+== Features
+
+* Service Discovery: Eureka instances can be registered and clients can discover the instances using Spring-managed beans
+* Service Discovery: an embedded Eureka server can be created with declarative Java configuration
+* Circuit Breaker: Hystrix clients can be built with a simple annotation-driven method decorator
+* Circuit Breaker: embedded Hystrix dashboard with declarative Java configuration
+* Declarative REST Client: Feign creates a dynamic implementation of an interface decorated with JAX-RS or Spring MVC annotations
+* Client Side Load Balancer: Ribbon
+* External Configuration: a bridge from the Sprnig Environment to Archaius (enabls native configuration of Netflix components using Spring Boot conventions)
+* Router and Filter: automatic regsitration of Zuul filters,a nd a simple convention over configuration approach to reverse proxy creation
+
diff --git a/docs/pom.xml b/docs/pom.xml
new file mode 100644
index 00000000..34af9a8f
--- /dev/null
+++ b/docs/pom.xml
@@ -0,0 +1,44 @@
+
+
+ 4.0.0
+ org.springframework.cloud
+ spring-cloud-netflix-docs
+ 1.0.0.BUILD-SNAPSHOT
+
+ org.springframework.cloud
+ spring-cloud-build
+ 1.0.0.BUILD-SNAPSHOT
+
+
+ pom
+ Spring Cloud Netflix Docs
+ Spring Cloud Docs
+
+ spring-cloud-netflix
+ ${basedir}/..
+
+
+
+ docs
+
+
+
+ org.asciidoctor
+ asciidoctor-maven-plugin
+ false
+
+
+ org.apache.maven.plugins
+ maven-antrun-plugin
+ false
+
+
+ org.codehaus.mojo
+ build-helper-maven-plugin
+ false
+
+
+
+
+
+
diff --git a/src/main/asciidoc/README.adoc b/docs/src/main/asciidoc/README.adoc
similarity index 100%
rename from src/main/asciidoc/README.adoc
rename to docs/src/main/asciidoc/README.adoc
diff --git a/src/main/asciidoc/ghpages.sh b/docs/src/main/asciidoc/ghpages.sh
similarity index 85%
rename from src/main/asciidoc/ghpages.sh
rename to docs/src/main/asciidoc/ghpages.sh
index 67da0d27..91905757 100755
--- a/src/main/asciidoc/ghpages.sh
+++ b/docs/src/main/asciidoc/ghpages.sh
@@ -7,8 +7,8 @@ if ! (git remote set-branches --add origin gh-pages && git fetch -q); then
exit 0
fi
-if ! [ -d target/generated-docs ]; then
- echo "No gh-pages sources in target/generated-docs, so not syncing"
+if ! [ -d docs/target/generated-docs ]; then
+ echo "No gh-pages sources in docs/target/generated-docs, so not syncing"
exit 0
fi
@@ -22,8 +22,8 @@ if [ "$dirty" != "0" ]; then git stash; fi
###################################################################
git checkout gh-pages
-for f in target/generated-docs/*; do
- file=${f#target/generated-docs/*}
+for f in docs/target/generated-docs/*; do
+ file=${f#docs/target/generated-docs/*}
if ! git ls-files -i -o --exclude-standard --directory | grep -q ^$file$; then
# Not ignored...
cp -rf $f .
diff --git a/src/main/asciidoc/images/.gitkeep b/docs/src/main/asciidoc/images/.gitkeep
similarity index 100%
rename from src/main/asciidoc/images/.gitkeep
rename to docs/src/main/asciidoc/images/.gitkeep
diff --git a/src/main/asciidoc/images/Hystrix.png b/docs/src/main/asciidoc/images/Hystrix.png
similarity index 100%
rename from src/main/asciidoc/images/Hystrix.png
rename to docs/src/main/asciidoc/images/Hystrix.png
diff --git a/src/main/asciidoc/images/HystrixFallback.png b/docs/src/main/asciidoc/images/HystrixFallback.png
similarity index 100%
rename from src/main/asciidoc/images/HystrixFallback.png
rename to docs/src/main/asciidoc/images/HystrixFallback.png
diff --git a/src/main/asciidoc/images/HystrixGraph.png b/docs/src/main/asciidoc/images/HystrixGraph.png
similarity index 100%
rename from src/main/asciidoc/images/HystrixGraph.png
rename to docs/src/main/asciidoc/images/HystrixGraph.png
diff --git a/src/main/asciidoc/intro.adoc b/docs/src/main/asciidoc/intro.adoc
similarity index 100%
rename from src/main/asciidoc/intro.adoc
rename to docs/src/main/asciidoc/intro.adoc
diff --git a/src/main/asciidoc/spring-cloud-netflix.adoc b/docs/src/main/asciidoc/spring-cloud-netflix.adoc
similarity index 100%
rename from src/main/asciidoc/spring-cloud-netflix.adoc
rename to docs/src/main/asciidoc/spring-cloud-netflix.adoc
diff --git a/src/main/ruby/generate_readme.sh b/docs/src/main/ruby/generate_readme.sh
similarity index 100%
rename from src/main/ruby/generate_readme.sh
rename to docs/src/main/ruby/generate_readme.sh
diff --git a/src/main/ruby/readme.rb b/docs/src/main/ruby/readme.rb
similarity index 100%
rename from src/main/ruby/readme.rb
rename to docs/src/main/ruby/readme.rb
diff --git a/pom.xml b/pom.xml
index e7c6eb17..456b4a20 100644
--- a/pom.xml
+++ b/pom.xml
@@ -24,6 +24,7 @@
spring-cloud-netflix-eureka-server
spring-cloud-netflix-turbine
spring-cloud-netflix-zuul
+ docs
@@ -213,29 +214,4 @@
1.0.24
-
-
- docs
-
-
-
- org.asciidoctor
- asciidoctor-maven-plugin
- false
-
-
- org.apache.maven.plugins
- maven-antrun-plugin
- false
-
-
- org.codehaus.mojo
- build-helper-maven-plugin
- false
-
-
-
-
-
-